
import java.awt.Button;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

class SCButton extends Button implements ActionListener {

	/**
	 *  The SCView object that will be called when events occur
	 *  on this object.
	 */
	private SCView scView_;
	public SCView scView() { return scView_; }
	private void scView( SCView aSCView ) { scView_ = aSCView; }

    SCButton(String s, SCView theSCView){
        super(s);
        this.scView( theSCView );
        this.initialize();
    }
    private void initialize(){
        this.addActionListener(this);
    }
    public void actionPerformed(ActionEvent e){
        this.pressed();
    }
    public void pressed(){
        System.out.println("pressed in SCButton (should be overridden by subclass)");
    }
}
